package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 活动统计 
 * </p>
 *
 * @author yansen
 * @since 2020-04-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TsActivityDaily implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 统计时间
     */
    private String statisDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 楼盘名称
     */
    private String buildingName;

    /**
     * 活动类型
     */
    private String targetType;

    /**
     * 活动ID
     */
    private String targetId;

    /**
     * 活动名称
     */
    private String targetName;

    /**
     * 分享次数
     */
    private Integer shareNum;

    /**
     * 分享人数
     */
    private Integer sharePersons;

    /**
     * 访问次数
     */
    private Integer visitNum;

    /**
     * 访问人数
     */
    private Integer visitPersons;

    /**
     * 新增用户
     */
    private Integer newPersons;

    /**
     * 新增客户
     */
    private Integer newCustomers;

    /**
     * 渠道id
     */
    private Integer channelId;

    /**
     * 统计类型
     */
    @TableField(exist = false)
    private String statisticType;
}
